GLXGETPROCADDRESS(3G)

NAME
glXGetProcAddress - obtain a pointer to an OpenGL or GLX function

C SPECIFICATION

void(*)() glXGetProcAddress(const GLubyte * procName);

PARAMETERS

procName
    Specifies the name of the OpenGL or GLX function whose address is to be returned.

DESCRIPTION

glXGetProcAddress returns the address of the function specified in procName. This is necessary in environments where the OpenGL link library exports a different set of functions than the runtime library.

NOTES

A NULL pointer is returned if function requested is not suported in the implementation being queried.

GLU functions are not queryable due to the fact that the library may not be loaded at the time of the query.

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.